Search documentation of ash

# View Source Ash.Policy.Policy (ash v3.4.30)

Represents a policy on an Ash.Resource

# Summary

## Types

t()

## Functions

at_least_one_policy_expression(policies)
fetch_fact(facts, arg2)
fetch_or_strict_check_fact(authorizer, arg2)
solve(authorizer)

# Types

Link to this type

# t()

View Source

    @type t() :: %Ash.Policy.Policy{
      access_type: term(),
      bypass?: term(),
      condition: term(),
      description: term(),
      policies: term()
    }

# Functions

Link to this function

# at_least_one_policy_expression(policies)

View Source
Link to this function

# fetch_fact(facts, arg2)

View Source
Link to this function

# fetch_or_strict_check_fact(authorizer, arg2)

View Source
Link to this function

# solve(authorizer)

View Source